Skip to main content
`Ctrl`+`K`

# SNESGetLinearSolveFailures

Gets the number of failed (non-converged) linear solvers in the current or most recent `SNESSolve()`

## Synopsis

    #include "petscsnes.h"
    #include "petscsnes.h"
    PetscErrorCode SNESGetLinearSolveFailures(SNES snes, PetscInt *nfails)

Not Collective

## Input Parameter

- snes - `SNES` context

## Output Parameter

- nfails - number of failed solves

## Options Database Key

- -snes_max_linear_solve_fail num - The number of failures before the solve is terminated

## Note

This counter is reset to zero for each successive call to `SNESSolve()`.

## See Also

SNES: Nonlinear Solvers, `SNESGetMaxLinearSolveFailures()`, `SNESGetLinearSolveIterations()`, `SNESSetMaxLinearSolveFailures()`

## Level

intermediate

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages